Red Hat Enterprise 6.3 and MySQL 5.1.55 (commercial) installation

Latest response

We need to install MySQL 5.1.55 (commercial) on Red Hat Enterprise 6.3.

Therefore we have to uninstall the mysql-libs-5.1.61.

With this we have to uninstall the dependent applications cronie, cronie-anacron, crontab, postfix, redhat-lsb and sysstat.

 

How can we get back these applications ?

We want to use them too. But just with our MySQL 5.1.55 installation.

 

Have you any solutions for that ?

 

In Red Hat Enterprise 5.5 there wasn't this dependeny with the mysql-libs.

Responses

Hi,

 

We are checking this internally and will update you asap.

 

--Humble

 

Hi,

 

As the MySQL 5.1.55 is a third party package, can you check with the vendor and make sure that this package is compatible with Red Hat Enterprise Linux 6.x?

There isn't any mysql-libs version compatible with MySQL 5.1.55 available in Red Hat Enterprise Linux 6 channel. What I recommend is to contact the vendor of MySQL 5.1.55 application and get a Red Hat Enterprise Linux 6.x compatible version of MySQL.
 

Thanks

Dipu

Hello,

 

To install MySQL 5.5.x I used the following procedure (should be identical for 5.1) :

 

  • Exclude all mysql* package from your base/update repository with the line "exclude=mysql*"
  • Download the officiel Oracle MySQL*.el6.x86_64 (if you're on a 64 bit system), here is the list :
    • MySQL-shared-5.5.27-1.el6.x86_64
    • MySQL-server-5.5.27-1.el6.x86_64
    • MySQL-test-5.5.27-1.el6.x86_64
    • MySQL-shared-compat-5.5.27-1.el6.x86_64
    • MySQL-client-5.5.27-1.el6.x86_64
  • Install them with "yum install *.rpm"

Hope it helps for the 5.1 version.

 

Bruno